/**********************************************************
*           Arduino example for the RLY08.                *
*   Turns relay 1 on and off again at regualr intervals.  *
*                                                         *
*              by James Henderson, 2012                   *
**********************************************************/

#include <Wire.h>
 
#define ADDRESS 0x38
#define CMDREG (byte)0x00                    // Values of 0 sent using write have to be masked as a byte to sot them being misinterpreted as NULL this is a bug with arduino 1

void setup(){
  Wire.begin();
  Serial.begin(9600);
  
  Wire.beginTransmission(ADDRESS);
  Wire.write(CMDREG);                        // Sends command register to get software version
  Wire.endTransmission();
  Wire.requestFrom(ADDRESS, 1);              // Requests one byte form RLY08
  while(Wire.available() < 1);               // Wait for it to arrive
  byte soft = Wire.read();                   // Gets the byte
  Serial.println(soft, DEC);                 // Prints it to the arduino serial monitor
}

void loop(){
  Wire.beginTransmission(ADDRESS);
  Wire.write(CMDREG);                        // Sends command byte to RLY08
  Wire.write(0x65);                          // Turns on relay 1
  Wire.endTransmission();
  delay(1000);
  Wire.beginTransmission(ADDRESS);
  Wire.write(CMDREG);                        // Sends command byte
  Wire.write(0x6F);                          // Turns off relay 1
  Wire.endTransmission();
  delay(1000);
}
